function omat=fzrPeak(imat,sigf1,sigf2)
% *** Bright regions around each peak ***
% Y. Matsuki, August, 2010
% usage:
% omat=fzr(imat,sigf1,sigf2)
% ========================================================
% sigf2: signal region in NMR F2
% sigf1: signal region in NMR F1

% zeroing spectrum outside adapted bright regions.

% tic
npk=length(sigf2(:,1));
% nb1=length(sigf1(:,1));

omat=zeros(length(imat(:,1)),length(imat(1,:)));

 for m=1:npk
%      for n=1:nb1
         omat(sigf2(m,1):sigf2(m,2),sigf1(m,1):sigf1(m,2))=...
         imat(sigf2(m,1):sigf2(m,2),sigf1(m,1):sigf1(m,2));
%      end
 end
% toc
